### Struct

# FwupdPlugin StructFmap

#### Description

    struct FuStructFmap {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_fmap_new

No description available.

###### fu_struct_fmap_parse_stream

No description available.

###### fu_struct_fmap_validate_stream

No description available.

#### Instance methods

###### fu_struct_fmap_get_base

No description available.

###### fu_struct_fmap_get_name

No description available.

###### fu_struct_fmap_get_nareas

No description available.

###### fu_struct_fmap_get_size

No description available.

###### fu_struct_fmap_get_ver_major

No description available.

###### fu_struct_fmap_get_ver_minor

No description available.

###### fu_struct_fmap_ref

No description available.

###### fu_struct_fmap_set_base

No description available.

###### fu_struct_fmap_set_name

No description available.

###### fu_struct_fmap_set_nareas

No description available.

###### fu_struct_fmap_set_size

No description available.

###### fu_struct_fmap_set_ver_major

No description available.

###### fu_struct_fmap_set_ver_minor

No description available.

###### fu_struct_fmap_unref

No description available.